"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createWrapper = void 0;
var React = require("react");
var lib_1 = require("../lib");
var index_1 = require("./index");
function createWrapper(props, options) {
    var controller = (0, lib_1.createController)(options);
    return [
        function (_a) {
            var children = _a.children;
            return React.createElement(index_1.FlowProvider, __assign({ controller: controller }, props), children);
        },
        controller,
    ];
}
exports.createWrapper = createWrapper;
